#!/usr/bin/env fish
set input_options "󰤄 Suspend" "󰐥 Poweroff" "󰜉 Reboot"

set input (menu $input_options)

set check_options "Cancel" "Proceed"

set check (menu $check_options)

if test $check = $check_options[1]
    exit 0
end

switch $input
    case $input_options[1]
		swaylock -f
		systemctl suspend

    case $input_options[2]
		systemctl poweroff

    case $input_options[2]
		systemctl reboot

end
